-- Plugin's name --
pluginName = "ColorTester";

-- File names --
settingsFileName = "ColorTester_Settings";

-- Default settings --
settings = {
    windowPosition = { 
        xPos = 0, 
        yPos = 0 
    },
        shortcuts = { 
        Data1 = "" 
    },
    IconPosition = { 
        xPosIcon = 100, 
        yPosIcon = 100 
    },
    isMinimizeEnabled = { 
        isMinimizeEnabled = true 
    },
    isWindowVisible = { 
        isWindowVisible = true 
    },
    colorHandler = { 
        cAlpha = 1,
        cRed = 1,
        cBlue = 1,
        cGreen = 1,
        cPas = 1;
    },
    escEnable = { 
        escEnable = true 
    },
    altEnable = { 
        altEnable = true 
    }
};

-- Resources settings --
ResourcePath = "Homeopatix/ColorTester/Resources/";

Images = {
	MinimizedIcon = ResourcePath .. "ColorTester.tga",
};

------------------------------------------------------------------------------------------
-- RGB color codes --
------------------------------------------------------------------------------------------
rgb = {
    start = "<rgb=#DAA520>",
    gold = "<rgb=#FFD700>",
    orange = "<rgb=#EE8F12>",
    white = "<rgb=#FFFFFF>",
    green = "<rgb=#1FE126>",
    blue = "<rgb=#1FCDE1>",
    purple = "<rgb=#9B41CE>",
    yellow = "<rgb=#FFFF00>",
    grey = "<rgb=#C7C7BE>",
    red = "<rgb=#FF0000>",
    error = "<rgb=#FF0000>",
    clear = "</rgb>"
};

-- Load settings --
LoadSettings();